package jrummikub.model;

import java.util.ArrayList;
import java.util.List;

/**
 * The overall game settings
 */
public class GameSettings implements IGameSettings {
	private List<PlayerSettings> players = new ArrayList<PlayerSettings>();

	private int initialMeldThreshold;

	/**
	 * Creates new GameSettings with default values
	 */
	public GameSettings() {
		initialMeldThreshold = 30;
	}

	/* (non-Javadoc)
	 * @see jrummikub.model.IGameSettings#getPlayerList()
	 */
	@Override
	public List<PlayerSettings> getPlayerList() {
		return players;
	}

	/* (non-Javadoc)
	 * @see jrummikub.model.IGameSettings#setInitialMeldThreshold(int)
	 */
	@Override
	public void setInitialMeldThreshold(int value) {
		initialMeldThreshold = value;
	}

	/* (non-Javadoc)
	 * @see jrummikub.model.IGameSettings#getInitialMeldThreshold()
	 */
	@Override
	public int getInitialMeldThreshold() {
		return initialMeldThreshold;
	}
}
